Granularize RevisionDelete (RevDelete) user rights
Closed, ResolvedPublic

Description

Currently, there are two levels of suppression, blocking non-admin viewing and blocking non-admin/admin viewing.

If a revision or log entry is hidden from non-admins, admins must have the "deleterevision" user right in order to see the suppressed data. However, there's no way to give users the ability to _see_ suppressed data but not actually be able to suppress data themselves.

A new user right should be added that allows users to only have view access for suppressed content. The "deleterevision" user right should continue to allow view and act access (as it does currently).


Version: unspecified
Severity: enhancement

bzimport set Reference to bz19199.
MZMcBride created this task.Via LegacyJun 15 2009, 3:19 AM
Risker added a comment.Via ConduitJun 23 2009, 5:55 AM

I support the concept of granularizing this so that administrators may view revisiondeleted edits that have not been suppressed from admin view. The former is intended to cover edits, edit summaries and log entries that meet deletion criteria, to which administrators normally have access; the latter is intended to cover material that is oversightable under the privacy policy, and only those with the "deleterevision" user right have access to view and act.

bzimport added a comment.Via ConduitJun 23 2009, 8:56 AM

FT2.wiki wrote:

In fact it would be useful if this is fully granularized.

For publicly visible material:

  • The right to undertake admin-level revision deletion

For material which is admin-level deleted:

  • The right to view the deleted material
  • The right to modify the deletion settings (doesn't include the right to suppress)

For material which is suppressed:

  • The right to view the suppressed material
  • The right to modify the suppression settings

General:

  • The right to suppress material

In practice the main change that would help most is the splitting of the 2nd and 3rd of these, so that there is the option to give a usergroup "read" but not "flag-amend" access to unsuppressed deleted material.

bzimport added a comment.Via ConduitJun 23 2009, 9:13 AM

FT2.wiki wrote:

To clarify, part of the impetus for this request is that testing and use of RevisionDelete is hindered because admins cannot in fact view material that is admin-deleted using RevisionDelete.

Admin level RevDel (as presently configured) is therefore in effect a form of oversighting/suppression, because there is no ability for other admins to peer review that material or discuss its deletion. So it's in a bit of a limbo -- the use of RevisionDelete with the "also suppress from administrators" flag cannot really be legitimately tested at present because any material it could be tested on should by definition be oversightable and deleted with suppression. Right now we're relying on commonsense by oversighters and understanding from the community as we test admin-level RevisionDelete, but that's not ideal.

Granting admins the right to read (but not at this point modify flags for) deleted-but-not-suppressed revisions would allow RevDel to be tested more fully and remove this quandary. If the technical ability to do so was available in software, that could then be achievable.

aaron added a comment.Via ConduitSep 22 2009, 10:01 PM

*** Bug 20476 has been marked as a duplicate of this bug. ***

aaron added a comment.Via ConduitSep 28 2009, 5:52 AM

Started in r57007

aaron added a comment.Via ConduitOct 28 2009, 7:21 AM

(In reply to comment #0)

Currently, there are two levels of suppression, blocking non-admin viewing and
blocking non-admin/admin viewing.

If a revision or log entry is hidden from non-admins, admins must have the
"deleterevision" user right in order to see the suppressed data. However,
there's no way to give users the ability to _see_ suppressed data but not
actually be able to suppress data themselves.

A new user right should be added that allows users to only have view access for
suppressed content. The "deleterevision" user right should continue to allow
view and act access (as it does currently).

Done with deletedhistory right changes and new deletedtext right.

bzimport added a comment.Via ConduitSep 1 2011, 8:06 PM

kudu wrote:

This is closed, but I just wanted to point out that admins now have the deletedhistory and deletedtext rights, so that it's no longer suppression in the way described by FT2.

bzimport added a comment.Via ConduitSep 1 2011, 8:07 PM

kudu wrote:

This is closed, but I just wanted to point out that admins now have the deletedhistory and deletedtext rights, so that it's no longer suppression in the way described by FT2.

Add Comment